Skip site navigation (1) Skip section navigation (2)

libpq crashing under Vista

From: PokerAce <pkrace(at)gmail(dot)com>
To: pgsql-interfaces(at)postgresql(dot)org
Subject: libpq crashing under Vista
Date: 2007-11-12 00:27:12
Message-ID: a413e23d0711111627l3124d175rf219663e9865734@mail.gmail.com (view raw or flat)
Thread:
Lists: pgsql-interfaces
I recently upgraded my computer to Vista.  When I went to run my application
(which ran beautifully under XP), the release build (VC++ 6) crashes every
time libpq attempts to connect to the server I have running on localhost.
The debug build runs fine.  Through logging, I've found that it happens
inside the PQconnectdb function and because I get no firewall notifications,
I know it's not even attempting to connect over the network.

I've tried using version 8.1.9 and 8.2.5 and get the same result in both.
If I link with the libraries included with PostgreSQL 8.2.5, it works fine,
but I'd rather have a statically linked version (my debug build has better
performance when linked to the static lib than the release build did linked
to the DLLs).

Again, this exact same setup with the exact same version of PostgreSQL
worked fine under XP.  I'm new to Vista, so perhaps there's something I'm
overlooking.  Any ideas or advice is appreciated.

Josh

Responses

pgsql-interfaces by date

Next:From: Bert HorvathDate: 2007-11-15 12:15:13
Subject: C-Interface Amound of Tupels in Result after COPYout
Previous:From: Francisco Figueiredo Jr.Date: 2007-11-06 18:27:29
Subject: Npgsql2 beta1 released!!

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group